
Katello - Bug #6260

System list does not show the 'OS' name of registered system

06/17/2014 08:31 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1023881 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1023881

Description of problem:

'OS' column doesn't display the OS name under system list.

Version-Release number of selected component (if applicable):

Snap7 compose2 (MPD2)

signo-katello-0.0.23-2.el6sat.noarch

katello-1.4.6-49.el6sat.noarch

katello-qpid-client-key-pair-1.0-1.noarch

katello-cli-common-1.4.3-27.el6sat.noarch

katello-foreman-all-1.4.6-49.el6sat.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch

katello-selinux-1.4.4-4.el6sat.noarch

pulp-katello-plugins-0.2-1.el6sat.noarch

katello-configure-foreman-1.4.7-7.el6sat.noarch

katello-certs-tools-1.4.4-1.el6sat.noarch

katello-qpid-broker-key-pair-1.0-1.noarch

katello-glue-elasticsearch-1.4.6-49.el6sat.noarch

katello-glue-pulp-1.4.6-49.el6sat.noarch

ruby193-rubygem-foreman-katello-engine-0.0.17-7.el6sat.noarch

katello-configure-1.4.7-7.el6sat.noarch

katello-glue-candlepin-1.4.6-49.el6sat.noarch

katello-cli-1.4.3-27.el6sat.noarch

katello-all-1.4.6-49.el6sat.noarch

katello-common-1.4.6-49.el6sat.noarch

ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. Register a system

2. Go to Systems -> All

3.

Actual results:

Missing OS name under "OS' column

Expected results:

'OS' column should show the OS of registered system.

Additional info:
Associated revisions

Revision 70b94edb - 06/17/2014 04:32 PM - Walden Raines

Fixes #6260/BZ1023881 - display OS on content host index page.

Revision 13f99a7d - 06/17/2014 08:32 PM - Walden Raines

Fixes #6260/BZ1023881 - display OS on content host index page.

Revision e958c05f - 06/17/2014 09:02 PM - Walden Raines

Merge pull request #4292 from waldenraines/6260

Fixes #6260/BZ1023881 - display OS on content host index page.

History

#1 - 06/17/2014 08:35 PM - Walden Raines

- Status changed from New to Ready For Testing

- Triaged set to No

https://github.com/Katello/katello/pull/4292

#2 - 06/17/2014 09:53 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:13f99a7d5e31d30be05ce5d7183a5d73a52e9317.

#3 - 06/19/2014 01:04 AM - Eric Helms

- Target version set to 48

- Difficulty set to trivial

- Triaged changed from No to Yes

#4 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
